Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 06/12/2005, à 15:18

Neomac72

Problème avec Wine

Bonjour

Fraîchement débarqué dans l'univers de Ubuntu, je rencontre un petit problème : je ne parviens pas à installer Wine car il manque plusieurs éléments.

En passant par le terminal, cela donne ça :

Les paquets suivants contiennent des dépendances non satisfaites :
  wine: Dépend: libstdc++6 mais il n'est pas installable
  winetools: Dépend: xdialog mais il n'est pas installable
             Dépend: gtk-smooth-themes mais il n'est pas installable
E: Paquets défectueux

Commet fait-on pour installer libstdc++6 et le reste des éléments manquant ?

D'avance merci pour votre réponse wink

#2 Le 07/12/2005, à 22:00

samfr95

Re : Problème avec Wine

Utilise Synaptic !
Ajoute les dépots de Wine (menu Catégories->Dépots)
                                        Bouton Ajouter
                                        Bouton Personnaliser
entre :

deb http://wine.sourceforge.net/apt/ breezy/

Et tout fonctionnera à merveille !

Rappel : Le Wiki est ton ami !
http://doc.ubuntu-fr.org/applications/wine


5 machines sous Ubuntu et une sous Debian !
Un portable Acer 7730G libéré (avec remboursement...)
Sous linux au quotidien depuis 2005 !

Hors ligne

#3 Le 08/12/2005, à 11:54

Neomac

Re : Problème avec Wine

J'ai essayé -> cela ne fonctionne pas :-(

#4 Le 08/12/2005, à 12:26

calimarno

Re : Problème avec Wine

Salut Neomac,
Qu'est-ce qui ne fonctionne pas? As-tu bien rechargé la liste de tes paquets?


Les Chroniques de Calimarno -- Swisslinux.org
"Alors que tous les autres ont des problèmes, les chimistes ont des solutions!" :D
----
Pour passer un sujet en [Résolu], il suffit que l'auteur du premier message du sujet modifie le titre en cliquant sur "Modifier".

Hors ligne

#5 Le 08/12/2005, à 14:02

neomac

Re : Problème avec Wine

C'est simple :

J'ai réalisé la manipulation conseillée par samfr95 (ce que j'avais déjà fait de mon côté ...) et en passant par Synaptic j'ai le message suivant : Dépend: libstdc++6  but it is not installable

J'ai rechargé la liste de mes paquets.

Voilà ...

Une solution à proposer ???

#6 Le 08/12/2005, à 18:11

samfr95

Re : Problème avec Wine

Deux questions : es-tu bien sous breezy ?
libstdc++6 est un paquet de base de breezy (binaires, tu peux tous les selectionner). Active les dépots de breezy et télécharge les paquets.
Peut-être faut-il vider le cache (catégories->préférences, onglet fichiers, bouton vider le cache)
si tu selectionne le paquet libstdc++6 pour installation que se passe-t-il ?

Autre piste : Si tu es bien sous Breezy , je te donnes mon fichier /etc/apt/sources.list (ça évite trop de manip sous synaptic)
en console

sudo gedit /etc/apt/sources.list

commente tes lignes(avec # devant ou sauvegarde en .bak et purge le fichier) et colle ça :

deb http://fr.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu breezy-updates main restricted
deb http://fr.archive.ubuntu.com/ubuntu breezy universe main restricted multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu breezy universe
deb http://fr.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu breezy-security universe main restricted multiverse
deb ftp://ftp.free.fr/pub/Distributions_Linux/plf/ubuntu/plf/ breezy free non-free
deb-src ftp://ftp.free.fr/pub/Distributions_Linux/plf/ubuntu/plf/ breezy free non-free
deb http://wine.sourceforge.net/apt/ breezy/

Voilà, ça ne peut pas ne pas marcher maintenant ! Enfin, j'espère ! wink


5 machines sous Ubuntu et une sous Debian !
Un portable Acer 7730G libéré (avec remboursement...)
Sous linux au quotidien depuis 2005 !

Hors ligne

#7 Le 09/12/2005, à 08:15

Neomac

Re : Problème avec Wine

J'ai la version 5.04 for Intelx86 -> je vais voir si je peux télécharger la version citée

Merci pour votre aide wink

#8 Le 09/12/2005, à 19:52

whiskykoka

Re : Problème avec Wine

sinon utilise easy ubuntu, tu vas voir c terrible, ca facilite la vie du débutant ^^.
vas voir ici :

http://wiki.ubuntu-fr.org/easyubuntu?s=easy+ubuntu

tout est expliqué !


"mais les braves gens n'aiment pas que
  l'on suive une autre route qu'eux"

Hors ligne

#9 Le 09/12/2005, à 22:55

samfr95

Re : Problème avec Wine

Sous hoary ça ne peut pas marcher, tu essayes d'installer la version Breezy. Essaye sur les dépots hoary ou mets à jour ta distrib (voir le wiki pour ça, tu verras ce n'est pas trop difficile !)


5 machines sous Ubuntu et une sous Debian !
Un portable Acer 7730G libéré (avec remboursement...)
Sous linux au quotidien depuis 2005 !

Hors ligne

#10 Le 12/12/2005, à 23:58

calimarno

Re : Problème avec Wine

J'étais distrait, je n'avais pas vu que tu utilisais encore hoary. A ce moment-là, il faudrait utiliser le dépôt :

deb http://wine.sourceforge.net/apt ubuntu

(A vérifier sur la page "wine" du wiki!)


Les Chroniques de Calimarno -- Swisslinux.org
"Alors que tous les autres ont des problèmes, les chimistes ont des solutions!" :D
----
Pour passer un sujet en [Résolu], il suffit que l'auteur du premier message du sujet modifie le titre en cliquant sur "Modifier".

Hors ligne

Haut de page ↑